Skip to main content
GET
/
v1
/
workflows
List Workflows
curl --request GET \
  --url https://api.example.com/v1/workflows
{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "workflow_type": "<string>",
      "indicator_types": [
        "<string>"
      ],
      "state": "<string>",
      "code_version": 123,
      "is_active": true,
      "is_system": true,
      "tags": [
        "<string>"
      ],
      "time_saved_minutes": 123,
      "approval_mode": "<string>",
      "risk_level": "<string>",
      "documentation": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123
  }
}

Query Parameters

workflow_type
string | null
state
string | null
risk_level
string | null
is_active
boolean | null
sort_by
string | null
sort_order
string | null
page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page (max 500)

Required range: 1 <= x <= 500

Response

Successful Response

data
WorkflowSummary · object[]
required
meta
PaginationMeta · object
required